Advanced Education websites and applications browser support

The following is a list of Advanced Education’s (AE) targeted browser support. For the best experience we recommend using the most up-to-date version of the following browsers. Visitors with unsupported browsers may find that some features don’t function, or the application does not load.

If a site feature does not work when using a browser listed above:

  •  Download the latest version and try again.
  •  Try using a different browser.
  •  If you are still experiencing issues accessing the information on an AE site or application, you may contact AE with the following information below.

Note: Alberta Advanced Education will no longer allow Transport Layer Security (TLS) 1.0 or TLS 1.1 encryption protocol. We are doing this to protect the privacy of information passing between your web browser and our servers. If your web browser does not meet this security requirement, please upgrade your browser to a version that supports TLS 1.2 in order to continue to access Alberta Advanced Education's online services.

Advanced Education Help Desk
 siams.help@gov.ab.ca
 (780) 427-5318

Please be prepared to provide the browser, version and browser settings being used. Please note that AE does not support hardware devices or operating systems upon which the browsers are installed

Browser Settings:
All browsers must have cookies, pop ups and JavaScript® enabled.